/**
 * generated by Xtext 2.17.1
 */
package fr.n7.simplepdl.txt.formatting2;

import com.google.inject.Inject;
import fr.n7.simplepdl.txt.services.PDLGrammarAccess;
import java.util.Arrays;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.xtext.formatting2.AbstractFormatter2;
import org.eclipse.xtext.formatting2.IFormattableDocument;
import org.eclipse.xtext.resource.XtextResource;
import org.eclipse.xtext.xbase.lib.Extension;

@SuppressWarnings("all")
public class PDLFormatter extends AbstractFormatter2 {
  @Inject
  @Extension
  private PDLGrammarAccess _pDLGrammarAccess;
  
  protected void _format(final simplepdl.Process process, @Extension final IFormattableDocument document) {
    EList _processElements = process.getProcessElements();
    for (final Object processElement : _processElements) {
      document.<Object>format(processElement);
    }
  }
  
  public void format(final Object process, final IFormattableDocument document) {
    if (process instanceof XtextResource) {
      _format((XtextResource)process, document);
      return;
    } else if (process instanceof simplepdl.Process) {
      _format((simplepdl.Process)process, document);
      return;
    } else if (process instanceof EObject) {
      _format((EObject)process, document);
      return;
    } else if (process == null) {
      _format((Void)null, document);
      return;
    } else if (process != null) {
      _format(process, document);
      return;
    } else {
      throw new IllegalArgumentException("Unhandled parameter types: " +
        Arrays.<Object>asList(process, document).toString());
    }
  }
}
